sqoop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "jiraposter@reviews.apache.org (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SQOOP-454) Upgrade dependency on HBase version 0.92.0-SNAPSHOT as it was already released
Date Mon, 05 Mar 2012 18:05:59 GMT

    [ https://issues.apache.org/jira/browse/SQOOP-454?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13222480#comment-13222480
] 

jiraposter@reviews.apache.org commented on SQOOP-454:
-----------------------------------------------------



bq.  On 2012-03-05 17:22:27, Arvind Prabhakar wrote:
bq.  > Thanks for the patch Jarcec. I think it will be better to depend upon 0.92.0 release
as opposed to snapshot. I understand that the 0.92.0 does not have it's test artifact deployed
on the maven repository yet, but hopefully they will do that soon (I pinged them this morning).
bq.  > 
bq.  > Thanks
bq.  
bq.  Jarek Cecho wrote:
bq.      Thank you very much for the ping Arvind. I got an impression that they are not planning
to deploy testing jar for 0.92.0 version at all and that they will do that for 0.92.1. I'll
be happy to change my patch and retest it once again after they publish it.
bq.      
bq.      Jarcec

I raised this as a request on the hbase-dev list [1]. Hopefully they will respond soon - but
if they decide not to, then we have no choice but to go with the 0.92.1-SNAPSHOT version as
per your patch.

[1] http://markmail.org/message/6xmf2xvv6sf37mni


- Arvind


-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/4169/#review5612
-----------------------------------------------------------


On 2012-03-04 09:12:13, Jarek Cecho wrote:
bq.  
bq.  -----------------------------------------------------------
bq.  This is an automatically generated e-mail. To reply, visit:
bq.  https://reviews.apache.org/r/4169/
bq.  -----------------------------------------------------------
bq.  
bq.  (Updated 2012-03-04 09:12:13)
bq.  
bq.  
bq.  Review request for Sqoop, Arvind Prabhakar and Bilung Lee.
bq.  
bq.  
bq.  Summary
bq.  -------
bq.  
bq.  I've changed dependency to 0.92.1-SNAPSHOT.
bq.  
bq.  
bq.  This addresses bug SQOOP-454.
bq.      https://issues.apache.org/jira/browse/SQOOP-454
bq.  
bq.  
bq.  Diffs
bq.  -----
bq.  
bq.    /build.xml 1296766 
bq.  
bq.  Diff: https://reviews.apache.org/r/4169/diff
bq.  
bq.  
bq.  Testing
bq.  -------
bq.  
bq.  ant -Dhadoopversion={100,23} test
bq.  
bq.  
bq.  Thanks,
bq.  
bq.  Jarek
bq.  
bq.


                
> Upgrade dependency on HBase version 0.92.0-SNAPSHOT as it was already released
> ------------------------------------------------------------------------------
>
>                 Key: SQOOP-454
>                 URL: https://issues.apache.org/jira/browse/SQOOP-454
>             Project: Sqoop
>          Issue Type: Bug
>            Reporter: Jarek Jarcec Cecho
>            Assignee: Jarek Jarcec Cecho
>            Priority: Blocker
>
> HBase 0.92.0 was already released and the "-SNAPSHOT" version that sqoop is using is
no longer available on snapshot repository. It seems that HBase team did not uploaded tests
jar into official maven repository (for more details please see http://markmail.org/message/ppxnjbyicb7w5opx),
so I would suggest to set dependency version to 0.92.1-SNAPSHOT instead.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message